Bug 101288 - [EFL]Drawing artifacts while resizing the view
Summary: [EFL]Drawing artifacts while resizing the view
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Kalyan
URL:
Keywords:
Depends on: 103271
Blocks: 103105
  Show dependency treegraph
 
Reported: 2012-11-05 18:33 PST by Kalyan
Modified: 2012-11-30 06:21 PST (History)
6 users (show)

See Also:


Attachments
Patch (4.56 KB, patch)
2012-11-30 04:50 PST, Joone Hur
no flags Details | Formatted Diff | Diff
Patch (4.66 KB, patch)
2012-11-30 05:59 PST, Joone Hur
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kalyan 2012-11-05 18:33:44 PST
Launch MiniBrowser. Try resizing the view. The updates are not smooth (just horrible currently).
Comment 1 Kalyan 2012-11-05 20:12:05 PST
This is observed with AC enabled and using webkit2.
Comment 2 Kenneth Rohde Christiansen 2012-11-27 05:09:12 PST
Might be related to https://bugs.webkit.org/show_bug.cgi?id=103271
Comment 3 Kalyan 2012-11-27 17:16:49 PST
(In reply to comment #2)
> Might be related to https://bugs.webkit.org/show_bug.cgi?id=103271

After the above bug fix, situation is far better. We don’t see any empty tiles but still there seems to be flicker issues

Investigating the flicker issues.
Comment 4 Kalyan 2012-11-28 02:04:14 PST
Will wait till 103428 is fixed to see if we still see the flicker while resizing the view
Comment 5 Kalyan 2012-11-28 09:23:50 PST
Removing dependency on 103428
Comment 6 Joone Hur 2012-11-30 04:50:54 PST
Created attachment 176942 [details]
Patch
Comment 7 Kenneth Rohde Christiansen 2012-11-30 05:01:23 PST
Comment on attachment 176942 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=176942&action=review

Nice! just a few nits

> Source/WebKit2/UIProcess/API/efl/EwkViewImpl.cpp:119
> +#if USE(ACCELERATED_COMPOSITING)
> +    , m_isResized(false)
> +#endif

m_pendingSurfaceResize

> Source/WebKit2/UIProcess/API/efl/EwkViewImpl.cpp:368
> +        // Create a GL surface here not to give a chance to Evas to paint the empty GL surface.

Create a GL surface here so that Evas has no chance of painting to an empty GL surface.

> Source/WebKit2/UIProcess/API/efl/EwkViewImpl.h:164
> +    void setResized(bool resized) { m_isResized = resized; }

setNeedsSurfaceResize() { m_pendingSurfaceResize = true; }

> Source/WebKit2/UIProcess/API/efl/ewk_view.cpp:390
> -        if (width && height)
> -            impl->createGLSurface(IntSize(width, height));
> +        impl->setResized(true);

impl->setNeedsSurfaceResize(true)
Comment 8 Joone Hur 2012-11-30 05:59:25 PST
Created attachment 176954 [details]
Patch
Comment 9 WebKit Review Bot 2012-11-30 06:21:28 PST
Comment on attachment 176954 [details]
Patch

Clearing flags on attachment: 176954

Committed r136234: <http://trac.webkit.org/changeset/136234>
Comment 10 WebKit Review Bot 2012-11-30 06:21:32 PST
All reviewed patches have been landed.  Closing bug.